Ferramentas de propriedade inexistente na página -- application-development campo com ubuntu-sdk campo com qml campo com tools campo com sdk camp askubuntu Relacionado O problema

Non-existent property tools in Page


1
vote

problema

português

Eu tenho um código que costumava funcionar, mas depois que eu atualizei para (k) Ubuntu 16.04 e o mais recente Ubuntu-SDK, ele não funciona mais. Eu recebo erro não é possível atribuir a propriedade inexistente "ferramentas" . Este é o meu código

  Tab {     page: Page {         id: myPage         tools: myToolbar {}          MyTabContent {             id: myTabContent             anchors.fill: parent         }     } }    

De acordo com a documentação real, parece estar correto: https://developer.ubuntu.com/api/apps/qml/sdk-15.04.4/ubuntu.components.toolbarbutton/

english

I have a code which used to work but after I upgraded to (K)ubuntu 16.04 and the latest Ubuntu-sdk, it doesn't work anymore. I get error Cannot assign to non-existent property "tools". This is my code

Tab {     page: Page {         id: myPage         tools: myToolbar {}          MyTabContent {             id: myTabContent             anchors.fill: parent         }     } } 

According to actual documentation it seems to be correct: https://developer.ubuntu.com/api/apps/qml/sdk-15.04.4/Ubuntu.Components.ToolbarButton/

              

Lista de respostas

0
 
vote

Eu acho que causado por este bug: não pode atribuir para propriedade inexistente "ferramentas"

A correção aterrissou no Ubuntu-UI-Toolkit - 1.3.1984 + 16.10.20160527.2, está disponível para 16,10

Além disso, achei funciona no meu sistema 16.04 alterando o formulário de importação:

  gsettings set org.gnome.desktop.background show-desktop-icons true gsettings set org.gnome.desktop.background show-desktop-icons false 2   

para

  gsettings set org.gnome.desktop.background show-desktop-icons true gsettings set org.gnome.desktop.background show-desktop-icons false 3   
 

I think it caused by this bug: Cannot assign to non-existent property "tools"

The fix has landed in ubuntu-ui-toolkit - 1.3.1984+16.10.20160527.2, it's available for 16.10

Apart from this, I found it works on my 16.04 system by changing the import form:

 import Ubuntu.Components 1.3  

To

 import Ubuntu.Components 1.2 
 
 

Perguntas relacionadas

1  Instalação do Google Cloud SDK  ( Google cloud sdk instalation ) 
Estou instalando o Google Cloud SDK para usá-lo Pergunte ao meu repositório de código-fonte (por enquanto) para aplicativos Android usando o script ABCDEFGHI...

3  Não é possível baixar e atualizar alguns componentes do Android SDK  ( Cannot download and update some android sdk components ) 
Eu estou instalando o Android Studio, mas ao baixar o componente SDK, ele falha com o seguinte erro. java.io.IOException: Cannot download 'https://dl.googl...

8  Android SDK e caminho  ( Android sdk and path ) 
Desde que eu baixei o Kit de Desenvolvimento do Android como um pacote (SDK, eclipse junto), eu extraí-lo para /opt/android/sdk Eu corri o comando ABCDEF...

-1  Android SDK não é encontrado por flutter  ( Android sdk is not found by flutter ) 
Eu instalei o Android Studio por descompactando o arquivo zip do site oficial e em execução sudo ./studio.sh . Então, foi instalado no diretório / raiz . ...

6  Como faço para fazer um Ubuntushape para transição (fade) entre imagens diferentes?  ( How do i get an ubuntushape to transition fade between different images ) 
Eu tenho algum código QML usando o kit de ferramentas UI. Quando você clica na imagem, ele alterna entre dois logotipos diferentes. Eu tentei fazer a transiçã...

2  Ubuntu SDK - erros do chroot criando um kit de dispositivo  ( Ubuntu sdk chroot errors creating a device kit ) 
Não há problema em instalar o Ubuntu SDK, mas quando eu tento criar um kit de dispositivo, isso é o que acontece: ... ... Triggers de processamento para...

0  Por que eu não posso começar o emulador Android?  ( Why i cant start android emulator ) 
Por que não consigo iniciar o emulador do Android? Há mensagem de erro como esta, Starting emulator for AVD 'Sen' Failed to start emulator: Cannot run prog...

0  Como instalar o SDK do Android no Ubuntu14.10 64bit OS  ( How to install the android sdk on ubuntu14 10 64bit os ) 
Após concluir a instalação do Android AVD, mostra ABCDEFGHIJKLMNABCDEFGHIJKLMN2 Como devo proceder? ...

0  Ubuntu SDK, executar o aplicativo padrão no telefone Ubuntu  ( Ubuntu sdk run default app on ubuntu phone ) 
Estou tentando executar um aplicativo QML padrão no meu telefone. Mas não está funcionando: / O modo de desenvolvedor está ativado. O primeiro erro inclui...

0  Configre Qemu (emulador) para Xilinx SDK  ( Configre qemuemulator for xilinx sdk ) 
Eu estou usando o Xilinx Vivado e o Xilinx SDK para um programa simples na Zynq FPGA / MP ultra escala. Mas eu não tenho o dispositivo de hardware (placa de d...




© 2022 pergunte.org All Rights Reserved. Casa de perguntas e respostas todos os direitos reservados


Licensed under cc by-sa 3.0 with attribution required.